/************************************************************************/
/*																		*/
/*	Arduino-MRF24WG.x                                                      */
/*																		*/
/*	MRF24WG WiFi interrupt and SPI configuration file 				    */
/*	Specific to the uC32 WiFiShield                                     */
/*																		*/
/************************************************************************/
/*	Author: 	Keith Vogel 											*/
/*	Copyright 2013, Digilent Inc.										*/
/************************************************************************/
/* 
*
* Copyright (c) 2013-2014, Digilent <www.digilentinc.com>
* Contact Digilent for the latest version.
*
* This program is free software; distributed under the terms of 
* BSD 3-clause license ("Revised BSD License", "New BSD License", or "Modified BSD License")
*
* Redistribution and use in source and binary forms, with or without modification,
* are permitted provided that the following conditions are met:
*
* 1.    Redistributions of source code must retain the above copyright notice, this
*        list of conditions and the following disclaimer.
* 2.    Redistributions in binary form must reproduce the above copyright notice,
*        this list of conditions and the following disclaimer in the documentation
*        and/or other materials provided with the distribution.
* 3.    Neither the name(s) of the above-listed copyright holder(s) nor the names
*        of its contributors may be used to endorse or promote products derived
*        from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
* IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
* OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	10/16/2012(KeithV): Created											*/
/*																		*/
/************************************************************************/

#ifndef ARDUINO_MRF24WG_H
#define ARDUINO_MRF24WG_H

#include <Arduino.h>

#ifdef __cplusplus
extern "C" {
#endif
#define _MRF24_SPI_CONFIG_ 1
#define WF_INT              0
#define WF_SPI              1
#define WF_SPI_FREQ         1000000

#define WF_INT_DDR         (DDRD)
#define WF_INT_PIN_NUMBER           (2)

#define WF_HIBERNATE_DDR   (DDRD)			//assume the hibernate pin on port d3, arduion pin 3
#define	WF_HIBERNATE_PIN_NUMBER     (3)

#define WF_RESET_DDR       (DDRD) //assume the reset pin on port d4, arduion pin 4
#define WF_RESET_PIN_NUMBER         (4)

#define WF_CS_DDR          (DDRB) //assume the SPI SS pin on port b 2, arduion pin 10
#define WF_CS_PIN_NUMBER           (10)

#include "SPIandINT.h"

#ifdef __cplusplus
}
#endif  // C++

#endif // Arduino-MRF24WG_H
